> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Token Settlement Table Data

> Lists every settled vesting, exercise request, lockup and warrant lockup in the org, newest settlement first.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json GET /tga/get-token-settlement-table-data
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/get-token-settlement-table-data:
    get:
      operationId: getTokenSettlementTableData
      summary: Get Token Settlement Table Data
      description: >-
        Lists every settled vesting, exercise request, lockup and warrant lockup
        in the org, newest settlement first.


        Not available to API keys.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetTokenSettlementTableDataResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetTokenSettlementTableDataResponse:
      type: array
      items:
        type: object
        properties:
          routeAware:
            const: true
          source:
            oneOf:
              - type: object
                properties:
                  vestingID:
                    type: string
                  roleInOrgID:
                    type: string
                  grantID:
                    type: string
                  vestingDate:
                    type: string
                    pattern: >-
                      ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                  vestedUnits:
                    type: string
                    pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
                  accruedUnits:
                    type: string
                    pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
                  sequence:
                    type: number
                  status:
                    type: string
                  settlementID:
                    type:
                      - string
                      - 'null'
                  taxReferenceID:
                    type:
                      - string
                      - 'null'
                  legacyMigratedAt:
                    type:
                      - string
                      - 'null'
                    pattern: >-
                      ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                  legacyModelID:
                    type:
                      - number
                      - 'null'
                  performanceFactor:
                    type:
                      - string
                      - 'null'
                    pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
                  createdAt:
                    type: string
                    pattern: >-
                      ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                  updatedAt:
                    type: string
                    pattern: >-
                      ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                  deletedAt:
                    type:
                      - string
                      - 'null'
                    pattern: >-
                      ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                  tokenName:
                    type:
                      - string
                      - 'null'
                  payrollID:
                    type:
                      - string
                      - 'null'
                  taxEngineProcessingState:
                    type:
                      - string
                      - 'null'
                  taxEnginePayrollID:
                    type:
                      - string
                      - 'null'
                  taxEngineClaimID:
                    type:
                      - string
                      - 'null'
                  fiatFmv:
                    type:
                      - string
                      - 'null'
                    pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
                  isOffPlatform:
                    type:
                      - boolean
                      - 'null'
                  payrollReportingGroupID:
                    type:
                      - string
                      - 'null'
                  grant:
                    type: object
                    properties:
                      grantID:
                        type: string
                      roleInOrgID:
                        type: string
                      grantConfigurationID:
                        type: string
                      isVestingEnabled:
                        type: boolean
                      isExerciseEnabled:
                        type: boolean
                      grantName:
                        type: string
                      grantDescription:
                        type: string
                      grantDate:
                        type: string
                        pattern: >-
                          ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                      grantStatus:
                        type: string
                      grantAmount:
                        type: string
                        pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
                      grantAmountInFiat:
                        type:
                          - string
                          - 'null'
                        pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
                      grantAssetType:
                        type:
                          - string
                          - 'null'
                      isCashCompensation:
                        type:
                          - boolean
                          - 'null'
                      isLockup:
                        type:
                          - boolean
                          - 'null'
                      legacyMigratedAt:
                        type:
                          - string
                          - 'null'
                        pattern: >-
                          ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                      legacyModelID:
                        type:
                          - number
                          - 'null'
                      taxCurrencyCode:
                        type:
                          - string
                          - 'null'
                      grantAdminCurrencyCode:
                        type:
                          - string
                          - 'null'
                      vestingStartDate:
                        type: string
                        pattern: >-
                          ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                      offPlatformDate:
                        type:
                          - string
                          - 'null'
                        pattern: >-
                          ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                      vestingFrequencyType:
                        type:
                          - string
                          - 'null'
                      vestingPeriods:
                        type:
                          - string
                          - 'null'
                        pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
                      vestingCliffPeriods:
                        type:
                          - number
                          - 'null'
                      vestingCliffPercentage:
                        type:
                          - string
                          - 'null'
                        pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
                      scheduleStringOverride:
                        type:
                          - string
                          - 'null'
                      pricePerUnit:
                        type:
                          - string
                          - 'null'
                        pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
                      pricePerUnitCurrencyCode:
                        type:
                          - string
                          - 'null'
                      priceTotal:
                        type:
                          - string
                          - 'null'
                        pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
                      tokenName:
                        type:
                          - string
                          - 'null'
                      tokenTypeID:
                        type:
                          - string
                          - 'null'
                      stablecoinSplitPercentage:
                        type:
                          - string
                          - 'null'
                        pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
                      strikePrice:
                        type:
                          - string
                          - 'null'
                        pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
                      strikePriceCurrencyCode:
                        type:
                          - string
                          - 'null'
                      strikeCostTotal:
                        type:
                          - string
                          - 'null'
                        pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
                      anchorageSettlementWalletID:
                        type:
                          - string
                          - 'null'
                      section83BElectionEligible:
                        type: boolean
                      isTaxable:
                        type: boolean
                      terminationDate:
                        type:
                          - string
                          - 'null'
                        pattern: >-
                          ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                      futureTerminationDate:
                        type:
                          - string
                          - 'null'
                        pattern: >-
                          ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                      grantTerminations: {}
                      awardDate:
                        type:
                          - string
                          - 'null'
                        pattern: >-
                          ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                      strikeDate:
                        type:
                          - string
                          - 'null'
                        pattern: >-
                          ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                      optionExpiresAt:
                        type:
                          - string
                          - 'null'
                        pattern: >-
                          ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                      optionExpiryNotifiedAt:
                        type:
                          - string
                          - 'null'
                        pattern: >-
                          ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                      allocationType:
                        type:
                          - string
                          - 'null'
                      averageBasis:
                        type:
                          - string
                          - 'null'
                        pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
                      currency:
                        type:
                          - string
                          - 'null'
                      createdAt:
                        type: string
                        pattern: >-
                          ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                      updatedAt:
                        type: string
                        pattern: >-
                          ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                      deletedAt:
                        type:
                          - string
                          - 'null'
                        pattern: >-
                          ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                      grantTemplateID:
                        type:
                          - string
                          - 'null'
                      cliffOverrideString:
                        type:
                          - string
                          - 'null'
                      isSCPGrant:
                        type:
                          - boolean
                          - 'null'
                      isAutoVestingEnabled:
                        type:
                          - boolean
                          - 'null'
                      roleInOrg:
                        type: object
                        properties:
                          hrAutomationOnly:
                            type: boolean
                          isServiceSeat:
                            type: boolean
                          invoiceApproverRoutingUpdatedAt:
                            type:
                              - string
                              - 'null'
                            pattern: >-
                              ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                          legacyMigratedAt:
                            type:
                              - string
                              - 'null'
                            pattern: >-
                              ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                          legacyModelID:
                            type:
                              - number
                              - 'null'
                          roleInOrgID:
                            type: string
                          personID:
                            type: string
                          orgID:
                            type: string
                          invitedByInvestorID:
                            type:
                              - string
                              - 'null'
                          invitedByRecipientID:
                            type:
                              - string
                              - 'null'
                          roleInOrgExternalID:
                            type: number
                          externalEmployeeID:
                            type:
                              - string
                              - 'null'
                          positionID:
                            type:
                              - string
                              - 'null'
                          jobTitle:
                            type:
                              - string
                              - 'null'
                          country:
                            type:
                              - string
                              - 'null'
                          countryCode:
                            type:
                              - string
                              - 'null'
                          preferredInvoiceCurrency:
                            type:
                              - string
                              - 'null'
                          status:
                            type:
                              - string
                              - 'null'
                          lifecycleStatus:
                            type:
                              - string
                              - 'null'
                          workEmail:
                            type:
                              - string
                              - 'null'
                          department:
                            type:
                              - string
                              - 'null'
                          legalEntity:
                            type:
                              - string
                              - 'null'
                          payrollEntity:
                            type:
                              - string
                              - 'null'
                          contractEntityID:
                            type:
                              - string
                              - 'null'
                          onboarded:
                            type: boolean
                          isTerminated:
                            type: boolean
                          privilegedAdmin:
                            type: boolean
                          isPrimaryAdmin:
                            type: boolean
                          isOrgMarketMaker:
                            type: boolean
                          role:
                            type: string
                          employmentType:
                            type:
                              - string
                              - 'null'
                          revokedAt:
                            type:
                              - string
                              - 'null'
                            pattern: >-
                              ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                          createdAt:
                            type: string
                            pattern: >-
                              ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                          updatedAt:
                            type: string
                            pattern: >-
                              ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                          payrollEmployeeID:
                            type:
                              - string
                              - 'null'
                          hasWelcomeEmailSent:
                            type: boolean
                          subEmploymentType:
                            type:
                              - string
                              - 'null'
                          remarks:
                            type:
                              - string
                              - 'null'
                          isITAdmin:
                            type: boolean
                          isExternalEmployee:
                            type: boolean
                          employeeSyncedSource:
                            type:
                              - string
                              - 'null'
                          investorFullName:
                            type:
                              - string
                              - 'null'
                          baseSalary:
                            type:
                              - string
                              - 'null'
                            pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
                          baseSalaryCurrency:
                            type:
                              - string
                              - 'null'
                          baseSalaryPaymentType:
                            type: string
                          baseSalaryTokenTypeID:
                            type:
                              - string
                              - 'null'
                          baseSalaryTokenSymbol:
                            type:
                              - string
                              - 'null'
                          baseSalaryTokenNetwork:
                            type:
                              - string
                              - 'null'
                          baseSalaryPeriod:
                            type:
                              - string
                              - 'null'
                          stablecoinPayPercentage:
                            type:
                              - number
                              - 'null'
                          maxStablecoinPercentage:
                            type:
                              - number
                              - 'null'
                          taxMethod:
                            type:
                              - string
                              - 'null'
                          withholdingPercentage:
                            type:
                              - string
                              - 'null'
                            pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
                          lastLogin:
                            type:
                              - string
                              - 'null'
                            pattern: >-
                              ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                          lastTestTxReminderBy:
                            type:
                              - string
                              - 'null'
                          lastTestTxReminderAt:
                            type:
                              - string
                              - 'null'
                            pattern: >-
                              ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                          payrollFileNumber:
                            type:
                              - string
                              - 'null'
                          externalPayrollId:
                            type:
                              - string
                              - 'null'
                          lastOnboardingReminderBy:
                            type:
                              - string
                              - 'null'
                          lastOnboardingReminderAt:
                            type:
                              - string
                              - 'null'
                            pattern: >-
                              ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                          address:
                            type:
                              - string
                              - 'null'
                          payrollGroup:
                            type:
                              - string
                              - 'null'
                          lastInactiveWalletReminderBy:
                            type:
                              - string
                              - 'null'
                          lastInactiveWalletReminderAt:
                            type:
                              - string
                              - 'null'
                            pattern: >-
                              ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                          recipientType:
                            type:
                              - string
                              - 'null'
                          receiveNotificationEmails:
                            type: boolean
                          receiveInAppNotifications:
                            type: boolean
                          notificationEmailFrequency:
                            type: string
                          receiveSlackNotifications:
                            type: boolean
                          selfServeContractorOnboardingStatus:
                            type: string
                          selfServeContractorOnboardingCompletedAt:
                            type:
                              - string
                              - 'null'
                            pattern: >-
                              ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                          selfServeWelcomeEmailSentAt:
                            type:
                              - string
                              - 'null'
                            pattern: >-
                              ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                          numberOfPayPeriodsPerYear:
                            type: number
                          managerRoleInOrgID:
                            type:
                              - string
                              - 'null'
                          managerPath:
                            type: array
                            items:
                              type: string
                          person:
                            type: object
                            properties:
                              personID:
                                type: string
                              givenName:
                                type: string
                              familyName:
                                type: string
                              middleName:
                                type:
                                  - string
                                  - 'null'
                              createdAt:
                                type: string
                                pattern: >-
                                  ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                              updatedAt:
                                type: string
                                pattern: >-
                                  ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                              legacyMigratedAt:
                                type:
                                  - string
                                  - 'null'
                                pattern: >-
                                  ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                              legacyModelID:
                                type:
                                  - number
                                  - 'null'
                              mergedIntoPersonID:
                                type:
                                  - string
                                  - 'null'
                              mergedAt:
                                type:
                                  - string
                                  - 'null'
                                pattern: >-
                                  ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                              fullName:
                                type: string
                            required:
                              - personID
                              - givenName
                              - familyName
                              - middleName
                              - createdAt
                              - updatedAt
                              - legacyMigratedAt
                              - legacyModelID
                              - mergedIntoPersonID
                              - mergedAt
                              - fullName
                        required:
                          - hrAutomationOnly
                          - isServiceSeat
                          - invoiceApproverRoutingUpdatedAt
                          - legacyMigratedAt
                          - legacyModelID
                          - roleInOrgID
                          - personID
                          - orgID
                          - invitedByInvestorID
                          - invitedByRecipientID
                          - roleInOrgExternalID
                          - externalEmployeeID
                          - positionID
                          - jobTitle
                          - country
                          - countryCode
                          - preferredInvoiceCurrency
                          - status
                          - lifecycleStatus
                          - workEmail
                          - department
                          - legalEntity
                          - payrollEntity
                          - contractEntityID
                          - onboarded
                          - isTerminated
                          - privilegedAdmin
                          - isPrimaryAdmin
                          - isOrgMarketMaker
                          - role
                          - employmentType
                          - revokedAt
                          - createdAt
                          - updatedAt
                          - payrollEmployeeID
                          - hasWelcomeEmailSent
                          - subEmploymentType
                          - remarks
                          - isITAdmin
                          - isExternalEmployee
                          - employeeSyncedSource
                          - investorFullName
                          - baseSalary
                          - baseSalaryCurrency
                          - baseSalaryPaymentType
                          - baseSalaryTokenTypeID
                          - baseSalaryTokenSymbol
                          - baseSalaryTokenNetwork
                          - baseSalaryPeriod
                          - stablecoinPayPercentage
                          - maxStablecoinPercentage
                          - taxMethod
                          - withholdingPercentage
                          - lastLogin
                          - lastTestTxReminderBy
                          - lastTestTxReminderAt
                          - payrollFileNumber
                          - externalPayrollId
                          - lastOnboardingReminderBy
                          - lastOnboardingReminderAt
                          - address
                          - payrollGroup
                          - lastInactiveWalletReminderBy
                          - lastInactiveWalletReminderAt
                          - recipientType
                          - receiveNotificationEmails
                          - receiveInAppNotifications
                          - notificationEmailFrequency
                          - receiveSlackNotifications
                          - selfServeContractorOnboardingStatus
                          - selfServeContractorOnboardingCompletedAt
                          - selfServeWelcomeEmailSentAt
                          - numberOfPayPeriodsPerYear
                          - managerRoleInOrgID
                          - managerPath
                          - person
                    required:
                      - grantID
                      - roleInOrgID
                      - grantConfigurationID
                      - isVestingEnabled
                      - isExerciseEnabled
                      - grantName
                      - grantDescription
                      - grantDate
                      - grantStatus
                      - grantAmount
                      - grantAmountInFiat
                      - grantAssetType
                      - isCashCompensation
                      - isLockup
                      - legacyMigratedAt
                      - legacyModelID
                      - taxCurrencyCode
                      - grantAdminCurrencyCode
                      - vestingStartDate
                      - offPlatformDate
                      - vestingFrequencyType
                      - vestingPeriods
                      - vestingCliffPeriods
                      - vestingCliffPercentage
                      - scheduleStringOverride
                      - pricePerUnit
                      - pricePerUnitCurrencyCode
                      - priceTotal
                      - tokenName
                      - tokenTypeID
                      - stablecoinSplitPercentage
                      - strikePrice
                      - strikePriceCurrencyCode
                      - strikeCostTotal
                      - anchorageSettlementWalletID
                      - section83BElectionEligible
                      - isTaxable
                      - terminationDate
                      - futureTerminationDate
                      - grantTerminations
                      - awardDate
                      - strikeDate
                      - optionExpiresAt
                      - optionExpiryNotifiedAt
                      - allocationType
                      - averageBasis
                      - currency
                      - createdAt
                      - updatedAt
                      - deletedAt
                      - grantTemplateID
                      - cliffOverrideString
                      - isSCPGrant
                      - isAutoVestingEnabled
                      - roleInOrg
                  settlementRecord:
                    type:
                      - object
                      - 'null'
                    properties:
                      settlementID:
                        type: string
                      roleInOrgID:
                        type: string
                      scheduleAmounts: {}
                      recordedVia:
                        type:
                          - string
                          - 'null'
                      revision:
                        type: number
                      supersededDocumentIDs:
                        type: array
                        items:
                          type: string
                      settledUnits:
                        type: string
                        pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
                      cashUnits:
                        type:
                          - string
                          - 'null'
                        pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
                      settledDate:
                        type: string
                        pattern: >-
                          ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                      settlementMethod:
                        type: string
                      createdAt:
                        type: string
                        pattern: >-
                          ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                      updatedAt:
                        type: string
                        pattern: >-
                          ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                      documentID:
                        type:
                          - string
                          - 'null'
                      legacyMigratedAt:
                        type:
                          - string
                          - 'null'
                        pattern: >-
                          ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                      legacyModelID:
                        type:
                          - number
                          - 'null'
                      tokenName:
                        type:
                          - string
                          - 'null'
                      withheldUnits:
                        type:
                          - string
                          - 'null'
                        pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
                      fmv:
                        type:
                          - string
                          - 'null'
                        pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
                      tokenSettlement:
                        type:
                          - object
                          - 'null'
                        properties:
                          tokenSettlementID:
                            type: string
                          settlementID:
                            type: string
                          roleInOrgID:
                            type: string
                          tokenTypeID:
                            type:
                              - string
                              - 'null'
                          memo:
                            type:
                              - string
                              - 'null'
                          destinationTag:
                            type:
                              - number
                              - 'null'
                          transferIndex:
                            type:
                              - string
                              - 'null'
                          address:
                            type:
                              - string
                              - 'null'
                          tokenCurrencyCode:
                            type: string
                          tokenNetwork:
                            type:
                              - string
                              - 'null'
                          percentageOfTransactionAttributedToSettlement:
                            type: string
                            pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
                          transactionLink:
                            type: string
                          transactionHash:
                            type: string
                          createdAt:
                            type: string
                            pattern: >-
                              ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                          updatedAt:
                            type: string
                            pattern: >-
                              ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                          legacyMigratedAt:
                            type:
                              - string
                              - 'null'
                            pattern: >-
                              ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                          legacyModelID:
                            type:
                              - number
                              - 'null'
                          walletReferenceID:
                            type:
                              - string
                              - 'null'
                          tokenWalletReferenceID:
                            type:
                              - string
                              - 'null'
                          stablecoinAmount:
                            type:
                              - string
                              - 'null'
                            pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
                          stablecoinSymbol:
                            type:
                              - string
                              - 'null'
                          stablecoinTransactionHash:
                            type:
                              - string
                              - 'null'
                          stablecoinTransactionLink:
                            type:
                              - string
                              - 'null'
                        required:
                          - tokenSettlementID
                          - settlementID
                          - roleInOrgID
                          - memo
                          - destinationTag
                          - transferIndex
                          - address
                          - tokenCurrencyCode
                          - tokenNetwork
                          - percentageOfTransactionAttributedToSettlement
                          - transactionLink
                          - transactionHash
                          - createdAt
                          - updatedAt
                          - legacyMigratedAt
                          - legacyModelID
                          - walletReferenceID
                          - tokenWalletReferenceID
                          - stablecoinAmount
                          - stablecoinSymbol
                          - stablecoinTransactionHash
                          - stablecoinTransactionLink
                      fiatSettlement:
                        type:
                          - object
                          - 'null'
                        properties:
                          settlementID:
                            type: string
                          roleInOrgID:
                            type: string
                          settlmentRecordID:
                            type: string
                          currencyCode:
                            type: string
                          transferDetails:
                            type: string
                          legacyMigratedAt:
                            type:
                              - string
                              - 'null'
                            pattern: >-
                              ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                          legacyModelID:
                            type:
                              - number
                              - 'null'
                          amount:
                            type:
                              - string
                              - 'null'
                            pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
                          amountUsd:
                            type:
                              - string
                              - 'null'
                            pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
                          localCurrencyCode:
                            type:
                              - string
                              - 'null'
                          amountLocal:
                            type:
                              - string
                              - 'null'
                            pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
                        required:
                          - settlementID
                          - roleInOrgID
                          - settlmentRecordID
                          - currencyCode
                          - transferDetails
                          - legacyMigratedAt
                          - legacyModelID
                          - amount
                          - amountUsd
                          - localCurrencyCode
                          - amountLocal
                      document:
                        type:
                          - object
                          - 'null'
                        properties:
                          supersededAt:
                            type:
                              - string
                              - 'null'
                            pattern: >-
                              ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                          documentID:
                            type: string
                          roleInOrgID:
                            type: string
                          investorEntityID:
                            type:
                              - string
                              - 'null'
                          documentName:
                            type: string
                          documentDescription:
                            type:
                              - string
                              - 'null'
                          documentType:
                            type: string
                          fileID:
                            type: string
                          signedAt:
                            type:
                              - string
                              - 'null'
                            pattern: >-
                              ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                          archivedAt:
                            type:
                              - string
                              - 'null'
                            pattern: >-
                              ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                          createdAt:
                            type: string
                            pattern: >-
                              ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                          updatedAt:
                            type: string
                            pattern: >-
                              ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                          deletedAt:
                            type:
                              - string
                              - 'null'
                            pattern: >-
                              ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                          grantID:
                            type:
                              - string
                              - 'null'
                          warrantID:
                            type:
                              - string
                              - 'null'
                          legacyMigratedAt:
                            type:
                              - string
                              - 'null'
                            pattern: >-
                              ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                          legacyModelID:
                            type:
                              - number
                              - 'null'
                          visibleToRole:
                            type: boolean
                          visibleToClientAdmin:
                            type: boolean
                          file:
                            type: object
                            properties:
                              fileID:
                                type: string
                              orgID:
                                type: string
                              fileName:
                                type: string
                              mimeType:
                                type: string
                              fileKey:
                                type: string
                              fileBucket:
                                type: string
                              fileUploaded:
                                type:
                                  - string
                                  - 'null'
                                pattern: >-
                                  ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                              fileSizeInBytes:
                                type:
                                  - string
                                  - 'null'
                                pattern: ^-?\d+$
                              createdByUserID:
                                type:
                                  - string
                                  - 'null'
                              createdAt:
                                type: string
                                pattern: >-
                                  ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                              updatedAt:
                                type: string
                                pattern: >-
                                  ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                              legacyMigratedAt:
                                type:
                                  - string
                                  - 'null'
                                pattern: >-
                                  ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                              legacyModelID:
                                type:
                                  - number
                                  - 'null'
                              type:
                                type: string
                              fileURL:
                                type: string
                              fileDownloadURL:
                                type: string
                            required:
                              - fileID
                              - orgID
                              - fileName
                              - mimeType
                              - fileKey
                              - fileBucket
                              - fileUploaded
                              - fileSizeInBytes
                              - createdByUserID
                              - createdAt
                              - updatedAt
                              - legacyMigratedAt
                              - legacyModelID
                              - type
                              - fileURL
                              - fileDownloadURL
                        required:
                          - supersededAt
                          - documentID
                          - roleInOrgID
                          - investorEntityID
                          - documentName
                          - documentDescription
                          - documentType
                          - fileID
                          - signedAt
                          - archivedAt
                          - createdAt
                          - updatedAt
                          - deletedAt
                          - grantID
                          - warrantID
                          - legacyMigratedAt
                          - legacyModelID
                          - visibleToRole
                          - visibleToClientAdmin
                          - file
                    required:
                      - settlementID
                      - roleInOrgID
                      - scheduleAmounts
                      - recordedVia
                      - revision
                      - supersededDocumentIDs
                      - settledUnits
                      - cashUnits
                      - settledDate
                      - settlementMethod
                      - createdAt
                      - updatedAt
                      - documentID
                      - legacyMigratedAt
                      - legacyModelID
                      - tokenName
                      - withheldUnits
                      - fmv
                      - tokenSettlement
                      - fiatSettlement
                      - document
                  taxReference:
                    type:
                      - object
                      - 'null'
                    properties:
                      taxReferenceID:
                        type: string
                      roleInOrgID:
                        type: string
                      type:
                        type: string
                      status:
                        type: string
                      payrollID:
                        type: string
                      unitsToWithhold:
                        type: string
                        pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
                      totalUnits:
                        type: string
                        pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
                      unitsToDistribute:
                        type: string
                        pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
                      taxCurrencyCode:
                        type: string
                      valueInTaxCurrency:
                        type: string
                        pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
                      amountToWithholdInTaxCurrency:
                        type: string
                        pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
                      documentID:
                        type:
                          - string
                          - 'null'
                      taxData: {}
                      legacyMigratedAt:
                        type:
                          - string
                          - 'null'
                        pattern: >-
                          ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                      legacyModelID:
                        type:
                          - number
                          - 'null'
                      fmv:
                        type:
                          - string
                          - 'null'
                        pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
                      fiatFmv:
                        type:
                          - string
                          - 'null'
                        pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
                      rejectionReason:
                        type:
                          - string
                          - 'null'
                      withholdingPercentage:
                        type:
                          - string
                          - 'null'
                        pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
                      stablecoinSplitPercentage:
                        type:
                          - string
                          - 'null'
                        pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
                      stablecoinAmount:
                        type:
                          - string
                          - 'null'
                        pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
                      stablecoinFmv:
                        type:
                          - string
                          - 'null'
                        pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
                      desiredSettlementMethod:
                        type: string
                      fmvSource:
                        type:
                          - string
                          - 'null'
                      fmvAsOf:
                        type:
                          - string
                          - 'null'
                        pattern: >-
                          ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                      fmvUsd:
                        type:
                          - string
                          - 'null'
                        pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
                      localCurrencyCode:
                        type:
                          - string
                          - 'null'
                      fmvLocal:
                        type:
                          - string
                          - 'null'
                        pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
                      finalizedWalletAddress:
                        type:
                          - string
                          - 'null'
                      settlmentDocumentID:
                        type:
                          - string
                          - 'null'
                      createdAt:
                        type: string
                        pattern: >-
                          ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                      updatedAt:
                        type: string
                        pattern: >-
                          ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                      payoutLegs:
                        type: array
                        items:
                          type: object
                          properties:
                            payoutLegID:
                              type: string
                            orgID:
                              type: string
                            taxReferenceID:
                              type: string
                            roleInOrgID:
                              type: string
                            slot:
                              type: string
                            walletID:
                              type: string
                            address:
                              type: string
                            memo:
                              type:
                                - string
                                - 'null'
                            destinationTag:
                              type:
                                - number
                                - 'null'
                            tokenTypeID:
                              type: string
                            orgNetworkID:
                              type: string
                            secondPercent:
                              type: string
                              pattern: >-
                                ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
                            amount:
                              type: string
                              pattern: >-
                                ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
                            transactionHash:
                              type:
                                - string
                                - 'null'
                            transferIndex:
                              type:
                                - string
                                - 'null'
                            transactionLink:
                              type:
                                - string
                                - 'null'
                            paidAt:
                              type:
                                - string
                                - 'null'
                              pattern: >-
                                ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                            createdAt:
                              type: string
                              pattern: >-
                                ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                            updatedAt:
                              type: string
                              pattern: >-
                                ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                          required:
                            - payoutLegID
                            - orgID
                            - taxReferenceID
                            - roleInOrgID
                            - slot
                            - walletID
                            - address
                            - memo
                            - destinationTag
                            - tokenTypeID
                            - orgNetworkID
                            - secondPercent
                            - amount
                            - transactionHash
                            - transferIndex
                            - transactionLink
                            - paidAt
                            - createdAt
                            - updatedAt
                    required:
                      - taxReferenceID
                      - roleInOrgID
                      - type
                      - status
                      - payrollID
                      - unitsToWithhold
                      - totalUnits
                      - unitsToDistribute
                      - taxCurrencyCode
                      - valueInTaxCurrency
                      - amountToWithholdInTaxCurrency
                      - documentID
                      - taxData
                      - legacyMigratedAt
                      - legacyModelID
                      - fmv
                      - fiatFmv
                      - rejectionReason
                      - withholdingPercentage
                      - stablecoinSplitPercentage
                      - stablecoinAmount
                      - stablecoinFmv
                      - desiredSettlementMethod
                      - fmvSource
                      - fmvAsOf
                      - fmvUsd
                      - localCurrencyCode
                      - fmvLocal
                      - finalizedWalletAddress
                      - settlmentDocumentID
                      - createdAt
                      - updatedAt
                      - payoutLegs
                required:
                  - vestingID
                  - roleInOrgID
                  - grantID
                  - vestingDate
                  - vestedUnits
                  - accruedUnits
                  - sequence
                  - status
                  - settlementID
                  - taxReferenceID
                  - legacyMigratedAt
                  - legacyModelID
                  - performanceFactor
                  - createdAt
                  - updatedAt
                  - deletedAt
                  - tokenName
                  - payrollID
                  - taxEngineProcessingState
                  - taxEnginePayrollID
                  - taxEngineClaimID
                  - fiatFmv
                  - isOffPlatform
                  - payrollReportingGroupID
                  - grant
                  - settlementRecord
                  - taxReference
              - type: object
                properties:
                  exerciseRequestID:
                    type: string
                  roleInOrgID:
                    type: string
                  grantID:
                    type: string
                  status:
                    type: string
                  units:
                    type: string
                    pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
                  settlementMethod:
                    type: string
                  documentID:
                    type:
                      - string
                      - 'null'
                  addedByRoleInOrgID:
                    type:
                      - string
                      - 'null'
                  rejectedAt:
                    type:
                      - string
                      - 'null'
                    pattern: >-
                      ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                  rejectedReason:
                    type:
                      - string
                      - 'null'
                  rejectedByRoleInOrgID:
                    type:
                      - string
                      - 'null'
                  approvedByRoleInOrgID:
                    type:
                      - string
                      - 'null'
                  approvedAt:
                    type:
                      - string
                      - 'null'
                    pattern: >-
                      ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                  taxReferenceID:
                    type:
                      - string
                      - 'null'
                  settlementID:
                    type:
                      - string
                      - 'null'
                  lockedUntil:
                    type:
                      - string
                      - 'null'
                    pattern: >-
                      ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                  lockupEndNotifiedAt:
                    type:
                      - string
                      - 'null'
                    pattern: >-
                      ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                  paymentReceivedAt:
                    type:
                      - string
                      - 'null'
                    pattern: >-
                      ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                  paymentAmount:
                    type:
                      - string
                      - 'null'
                    pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
                  paymentCurrencyCode:
                    type:
                      - string
                      - 'null'
                  paymentReference:
                    type:
                      - string
                      - 'null'
                  createdAt:
                    type: string
                    pattern: >-
                      ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                  updatedAt:
                    type: string
                    pattern: >-
                      ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                  deletedAt:
                    type:
                      - string
                      - 'null'
                    pattern: >-
                      ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                  grant:
                    type: object
                    properties:
                      grantID:
                        type: string
                      roleInOrgID:
                        type: string
                      grantConfigurationID:
                        type: string
                      isVestingEnabled:
                        type: boolean
                      isExerciseEnabled:
                        type: boolean
                      grantName:
                        type: string
                      grantDescription:
                        type: string
                      grantDate:
                        type: string
                        pattern: >-
                          ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                      grantStatus:
                        type: string
                      grantAmount:
                        type: string
                        pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
                      grantAmountInFiat:
                        type:
                          - string
                          - 'null'
                        pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
                      grantAssetType:
                        type:
                          - string
                          - 'null'
                      isCashCompensation:
                        type:
                          - boolean
                          - 'null'
                      isLockup:
                        type:
                          - boolean
                          - 'null'
                      legacyMigratedAt:
                        type:
                          - string
                          - 'null'
                        pattern: >-
                          ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                      legacyModelID:
                        type:
                          - number
                          - 'null'
                      taxCurrencyCode:
                        type:
                          - string
                          - 'null'
                      grantAdminCurrencyCode:
                        type:
                          - string
                          - 'null'
                      vestingStartDate:
                        type: string
                        pattern: >-
                          ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                      offPlatformDate:
                        type:
                          - string
                          - 'null'
                        pattern: >-
                          ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                      vestingFrequencyType:
                        type:
                          - string
                          - 'null'
                      vestingPeriods:
                        type:
                          - string
                          - 'null'
                        pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
                      vestingCliffPeriods:
                        type:
                          - number
                          - 'null'
                      vestingCliffPercentage:
                        type:
                          - string
                          - 'null'
                        pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
                      scheduleStringOverride:
                        type:
                          - string
                          - 'null'
                      pricePerUnit:
                        type:
                          - string
                          - 'null'
                        pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
                      pricePerUnitCurrencyCode:
                        type:
                          - string
                          - 'null'
                      priceTotal:
                        type:
                          - string
                          - 'null'
                        pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
                      tokenName:
                        type:
                          - string
                          - 'null'
                      tokenTypeID:
                        type:
                          - string
                          - 'null'
                      stablecoinSplitPercentage:
                        type:
                          - string
                          - 'null'
                        pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
                      strikePrice:
                        type:
                          - string
                          - 'null'
                        pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
                      strikePriceCurrencyCode:
                        type:
                          - string
                          - 'null'
                      strikeCostTotal:
                        type:
                          - string
                          - 'null'
                        pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
                      anchorageSettlementWalletID:
                        type:
                          - string
                          - 'null'
                      section83BElectionEligible:
                        type: boolean
                      isTaxable:
                        type: boolean
                      terminationDate:
                        type:
                          - string
                          - 'null'
                        pattern: >-
                          ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                      futureTerminationDate:
                        type:
                          - string
                          - 'null'
                        pattern: >-
                          ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                      grantTerminations: {}
                      awardDate:
                        type:
                          - string
                          - 'null'
                        pattern: >-
                          ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                      strikeDate:
                        type:
                          - string
                          - 'null'
                        pattern: >-
                          ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                      optionExpiresAt:
                        type:
                          - string
                          - 'null'
                        pattern: >-
                          ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                      optionExpiryNotifiedAt:
                        type:
                          - string
                          - 'null'
                        pattern: >-
                          ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                      allocationType:
                        type:
                          - string
                          - 'null'
                      averageBasis:
                        type:
                          - string
                          - 'null'
                        pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
                      currency:
                        type:
                          - string
                          - 'null'
                      createdAt:
                        type: string
                        pattern: >-
                          ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                      updatedAt:
                        type: string
                        pattern: >-
                          ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                      deletedAt:
                        type:
                          - string
                          - 'null'
                        pattern: >-
                          ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                      grantTemplateID:
                        type:
                          - string
                          - 'null'
                      cliffOverrideString:
                        type:
                          - string
                          - 'null'
                      isSCPGrant:
                        type:
                          - boolean
                          - 'null'
                      isAutoVestingEnabled:
                        type:
                          - boolean
                          - 'null'
                      roleInOrg:
                        type: object
                        properties:
                          hrAutomationOnly:
                            type: boolean
                          isServiceSeat:
                            type: boolean
                          invoiceApproverRoutingUpdatedAt:
                            type:
                              - string
                              - 'null'
                            pattern: >-
                              ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                          legacyMigratedAt:
                            type:
                              - string
                              - 'null'
                            pattern: >-
                              ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                          legacyModelID:
                            type:
                              - number
                              - 'null'
                          roleInOrgID:
                            type: string
                          personID:
                            type: string
                          orgID:
                            type: string
                          invitedByInvestorID:
                            type:
                              - string
                              - 'null'
                          invitedByRecipientID:
                            type:
                              - string
                              - 'null'
                          roleInOrgExternalID:
                            type: number
                          externalEmployeeID:
                            type:
                              - string
                              - 'null'
                          positionID:
                            type:
                              - string
                              - 'null'
                          jobTitle:
                            type:
                              - string
                              - 'null'
                          country:
                            type:
                              - string
                              - 'null'
                          countryCode:
                            type:
                              - string
                              - 'null'
                          preferredInvoiceCurrency:
                            type:
                              - string
                              - 'null'
                          status:
                            type:
                              - string
                              - 'null'
                          lifecycleStatus:
                            type:
                              - string
                              - 'null'
                          workEmail:
                            type:
                              - string
                              - 'null'
                          department:
                            type:
                              - string
                              - 'null'
                          legalEntity:
                            type:
                              - string
                              - 'null'
                          payrollEntity:
                            type:
                              - string
                              - 'null'
                          contractEntityID:
                            type:
                              - string
                              - 'null'
                          onboarded:
                            type: boolean
                          isTerminated:
                            type: boolean
                          privilegedAdmin:
                            type: boolean
                          isPrimaryAdmin:
                            type: boolean
                          isOrgMarketMaker:
                            type: boolean
                          role:
                            type: string
                          employmentType:
                            type:
                              - string
                              - 'null'
                          revokedAt:
                            type:
                              - string
                              - 'null'
                            pattern: >-
                              ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                          createdAt:
                            type: string
                            pattern: >-
                              ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                          updatedAt:
                            type: string
                            pattern: >-
                              ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                          payrollEmployeeID:
                            type:
                              - string
                              - 'null'
                          hasWelcomeEmailSent:
                            type: boolean
                          subEmploymentType:
                            type:
                              - string
                              - 'null'
                          remarks:
                            type:
                              - string
                              - 'null'
                          isITAdmin:
                            type: boolean
                          isExternalEmployee:
                            type: boolean
                          employeeSyncedSource:
                            type:
                              - string
                              - 'null'
                          investorFullName:
                            type:
                              - string
                              - 'null'
                          baseSalary:
                            type:
                              - string
                              - 'null'
                            pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
                          baseSalaryCurrency:
                            type:
                              - string
                              - 'null'
                          baseSalaryPaymentType:
                            type: string
                          baseSalaryTokenTypeID:
                            type:
                              - string
                              - 'null'
                          baseSalaryTokenSymbol:
                            type:
                              - string
                              - 'null'
                          baseSalaryTokenNetwork:
                            type:
                              - string
                              - 'null'
                          baseSalaryPeriod:
                            type:
                              - string
                              - 'null'
                          stablecoinPayPercentage:
                            type:
                              - number
                              - 'null'
                          maxStablecoinPercentage:
                            type:
                              - number
                              - 'null'
                          taxMethod:
                            type:
                              - string
                              - 'null'
                          withholdingPercentage:
                            type:
                              - string
                              - 'null'
                            pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
                          lastLogin:
                            type:
                              - string
                              - 'null'
                            pattern: >-
                              ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                          lastTestTxReminderBy:
                            type:
                              - string
                              - 'null'
                          lastTestTxReminderAt:
                            type:
                              - string
                              - 'null'
                            pattern: >-
                              ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                          payrollFileNumber:
                            type:
                              - string
                              - 'null'
                          externalPayrollId:
                            type:
                              - string
                              - 'null'
                          lastOnboardingReminderBy:
                            type:
                              - string
                              - 'null'
                          lastOnboardingReminderAt:
                            type:
                              - string
                              - 'null'
                            pattern: >-
                              ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                          address:
                            type:
                              - string
                              - 'null'
                          payrollGroup:
                            type:
                              - string
                              - 'null'
                          lastInactiveWalletReminderBy:
                            type:
                              - string
                              - 'null'
                          lastInactiveWalletReminderAt:
                            type:
                              - string
                              - 'null'
                            pattern: >-
                              ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                          recipientType:
                            type:
                              - string
                              - 'null'
                          receiveNotificationEmails:
                            type: boolean
                          receiveInAppNotifications:
                            type: boolean
                          notificationEmailFrequency:
                            type: string
                          receiveSlackNotifications:
                            type: boolean
                          selfServeContractorOnboardingStatus:
                            type: string
                          selfServeContractorOnboardingCompletedAt:
                            type:
                              - string
                              - 'null'
                            pattern: >-
                              ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                          selfServeWelcomeEmailSentAt:
                            type:
                              - string
                              - 'null'
                            pattern: >-
                              ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                          numberOfPayPeriodsPerYear:
                            type: number
                          managerRoleInOrgID:
                            type:
                              - string
                              - 'null'
                          managerPath:
                            type: array
                            items:
                              type: string
                          person:
                            type: object
                            properties:
                              personID:
                                type: string
                              givenName:
                                type: string
                              familyName:
                                type: string
                              middleName:
                                type:
                                  - string
                                  - 'null'
                              createdAt:
                                type: string
                                pattern: >-
                                  ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                              updatedAt:
                                type: string
                                pattern: >-
                                  ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                              legacyMigratedAt:
                                type:
                                  - string
                                  - 'null'
                                pattern: >-
                                  ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                              legacyModelID:
                                type:
                                  - number
                                  - 'null'
                              mergedIntoPersonID:
                                type:
                                  - string
                                  - 'null'
                              mergedAt:
                                type:
                                  - string
                                  - 'null'
                                pattern: >-
                                  ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                              fullName:
                                type: string
                            required:
                              - personID
                              - givenName
                              - familyName
                              - middleName
                              - createdAt
                              - updatedAt
                              - legacyMigratedAt
                              - legacyModelID
                              - mergedIntoPersonID
                              - mergedAt
                              - fullName
                        required:
                          - hrAutomationOnly
                          - isServiceSeat
                          - invoiceApproverRoutingUpdatedAt
                          - legacyMigratedAt
                          - legacyModelID
                          - roleInOrgID
                          - personID
                          - orgID
                          - invitedByInvestorID
                          - invitedByRecipientID
                          - roleInOrgExternalID
                          - externalEmployeeID
                          - positionID
                          - jobTitle
                          - country
                          - countryCode
                          - preferredInvoiceCurrency
                          - status
                          - lifecycleStatus
                          - workEmail
                          - department
                          - legalEntity
                          - payrollEntity
                          - contractEntityID
                          - onboarded
                          - isTerminated
                          - privilegedAdmin
                          - isPrimaryAdmin
                          - isOrgMarketMaker
                          - role
                          - employmentType
                          - revokedAt
                          - createdAt
                          - updatedAt
                          - payrollEmployeeID
                          - hasWelcomeEmailSent
                          - subEmploymentType
                          - remarks
                          - isITAdmin
                          - isExternalEmployee
                          - employeeSyncedSource
                          - investorFullName
                          - baseSalary
                          - baseSalaryCurrency
                          - baseSalaryPaymentType
                          - baseSalaryTokenTypeID
                          - baseSalaryTokenSymbol
                          - baseSalaryTokenNetwork
                          - baseSalaryPeriod
                          - stablecoinPayPercentage
                          - maxStablecoinPercentage
                          - taxMethod
                          - withholdingPercentage
                          - lastLogin
                          - lastTestTxReminderBy
                          - lastTestTxReminderAt
                          - payrollFileNumber
                          - externalPayrollId
                          - lastOnboardingReminderBy
                          - lastOnboardingReminderAt
                          - address
                          - payrollGroup
                          - lastInactiveWalletReminderBy
                          - lastInactiveWalletReminderAt
                          - recipientType
                          - receiveNotificationEmails
                          - receiveInAppNotifications
                          - notificationEmailFrequency
                          - receiveSlackNotifications
                          - selfServeContractorOnboardingStatus
                          - selfServeContractorOnboardingCompletedAt
                          - selfServeWelcomeEmailSentAt
                          - numberOfPayPeriodsPerYear
                          - managerRoleInOrgID
                          - managerPath
                          - person
                    required:
                      - grantID
                      - roleInOrgID
                      - grantConfigurationID
                      - isVestingEnabled
                      - isExerciseEnabled
                      - grantName
                      - grantDescription
                      - grantDate
                      - grantStatus
                      - grantAmount
                      - grantAmountInFiat
                      - grantAssetType
                      - isCashCompensation
                      - isLockup
                      - legacyMigratedAt
                      - legacyModelID
                      - taxCurrencyCode
                      - grantAdminCurrencyCode
                      - vestingStartDate
                      - offPlatformDate
                      - vestingFrequencyType
                      - vestingPeriods
                      - vestingCliffPeriods
                      - vestingCliffPercentage
                      - scheduleStringOverride
                      - pricePerUnit
                      - pricePerUnitCurrencyCode
                      - priceTotal
                      - tokenName
                      - tokenTypeID
                      - stablecoinSplitPercentage
                      - strikePrice
                      - strikePriceCurrencyCode
                      - strikeCostTotal
                      - anchorageSettlementWalletID
                      - section83BElectionEligible
                      - isTaxable
                      - terminationDate
                      - futureTerminationDate
                      - grantTerminations
                      - awardDate
                      - strikeDate
                      - optionExpiresAt
                      - optionExpiryNotifiedAt
                      - allocationType
                      - averageBasis
                      - currency
                      - createdAt
                      - updatedAt
                      - deletedAt
                      - grantTemplateID
                      - cliffOverrideString
                      - isSCPGrant
                      - isAutoVestingEnabled
                      - roleInOrg
                  settlementRecord:
                    type:
                      - object
                      - 'null'
                    properties:
                      settlementID:
                        type: string
                      roleInOrgID:
                        type: string
                      scheduleAmounts: {}
                      recordedVia:
                        type:
                          - string
                          - 'null'
                      revision:
                        type: number
                      supersededDocumentIDs:
                        type: array
                        items:
                          type: string
                      settledUnits:
                        type: string
                        pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
                      cashUnits:
                        type:
                          - string
                          - 'null'
                        pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
                      settledDate:
                        type: string
                        pattern: >-
                          ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                      settlementMethod:
                        type: string
                      createdAt:
                        type: string
                        pattern: >-
                          ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                      updatedAt:
                        type: string
                        pattern: >-
                          ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                      documentID:
                        type:
                          - string
                          - 'null'
                      legacyMigratedAt:
                        type:
                          - string
                          - 'null'
                        pattern: >-
                          ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
                      legacyModelID:
                        type:
                          - number
                          - 'null'
                      tokenName:
                        type:
                          - string
                          - 'null'
                      withheldUnits:
                        type:
                          - string
                          - 'null'
                        pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
                      fmv:
                        type:
                          - string
                          - 'null'
                        pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
                      tokenSettlement:
                        type:
                          - object
                          - 'null'
                        properties:
                          tokenSettlementID:
                            type: string
                          settlementID:
                            type: string
                          roleInOrgID:
                            type: string
                          tokenTypeID:
                            type:
                              - string
                              - 'null'
                          memo:
                            type:
                              - string
                              - 'null'
                          destinationTag:
                            type:
                              - number
                              - 'null'
                          transferIndex:
                            type:
                              - string
                              - 'null'
                          address:
                            type:
                              - string
                              - 'null'
                          tokenCurrencyCode:
                            type: string
                          tokenNetwork:
                            type:
                              - string
                              - 'null'
                          percentageOfTransactionAttributedToSettlement:
[...]
